itpp::BLERC Class Reference

Class for counting block error rates. More...

`#include <itpp/comm/error_counters.h>`

## Public Member Functions

| BLERC (void)
| Class constructor.
| BLERC (int blocksize)
| Specialised constructor.
void | set_blocksize (int inblocksize, bool clear=true)
| Set the block size.
void | count (const bvec &in1, const bvec &in2)
| Calculate the number of block errors between in1 and in2.
void | count (const bool x)
| Variant of the cumulative error counter. Counts a block error if x is true, and a correct block otherwise.
void | clear ()
| Clear the block error counter.
double | get_errors () const
| Returns the number of block errors.
double | get_corrects () const
| Returns the number of correct blocks.
double | get_total_blocks () const
| Returns the total number of block processed.
double | get_errorrate () const
| Returns the block error rate.

## Detailed Description

Class for counting block error rates.

Use this class to count block errors in binary vectors.

Definition at line 131 of file error_counters.h.

## Constructor & Destructor Documentation

## BLERC() [1/2]

itpp::BLERC::BLERC | ( | void |  | ) |

Class constructor.

Definition at line 157 of file error_counters.cpp.

## BLERC() [2/2]

itpp::BLERC::BLERC | ( | int | blocksize | ) |

Specialised constructor.

Definition at line 161 of file error_counters.cpp.

## Member Function Documentation

## set_blocksize()

void itpp::BLERC::set_blocksize | ( | int | inblocksize,
|  | bool | clear = true )

Set the block size.

Definition at line 165 of file error_counters.cpp.

References clear().

## count() [1/2]

void itpp::BLERC::count | ( | const bvec & | in1,
|  | const bvec & | in2 )

Calculate the number of block errors between in1 and in2.

Definition at line 175 of file error_counters.cpp.

References it_assert.

## count() [2/2]

void itpp::BLERC::count | ( | const bool | x | ) |

Variant of the cumulative error counter. Counts a block error if x is true, and a correct block otherwise.

Definition at line 200 of file error_counters.cpp.

## clear()

void itpp::BLERC::clear | ( |  | ) |

inline

Clear the block error counter.

Definition at line 146 of file error_counters.h.

Referenced by set_blocksize().

## get_errors()

double itpp::BLERC::get_errors | ( |  | ) | const

inline

Returns the number of block errors.

Definition at line 148 of file error_counters.h.

## get_corrects()

double itpp::BLERC::get_corrects | ( |  | ) | const

inline

Returns the number of correct blocks.

Definition at line 150 of file error_counters.h.

## get_total_blocks()

double itpp::BLERC::get_total_blocks | ( |  | ) | const

inline

Returns the total number of block processed.

Definition at line 152 of file error_counters.h.

## get_errorrate()

double itpp::BLERC::get_errorrate | ( |  | ) | const

inline

Returns the block error rate.

Definition at line 154 of file error_counters.h.

The documentation for this class was generated from the following files:

- itpp/comm/error_counters.h
- itpp/comm/error_counters.cpp

Generated on for IT++ by Doxygen 1.15.0